Announcement Announcement Module
Collapse
No announcement yet.
STS 2.6.1 R1 Create new Maven Project Appfuse archetypes error Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • STS 2.6.1 R1 Create new Maven Project Appfuse archetypes error

    Hi,

    I did the following steps and resulted in error:

    1. New project

    2. Select Maven Project

    3. From archetype catalog, select
    Group Id: org.appfuse.archetypes
    Artifact Id: appfuse-base-spring

    4. Enter required Group Id, Artifact Id, select Finish button

    5. STS pops up the following error:
    Unable to create project from archetype [org.appfuse.archetypes:appfuse-basic-spring:RELEASE]
    The defined artifact is not an archetype

    What could be wrong?

    ~lchong2

  • #2
    I am having the exact same issue - does anyone have any idea about this issue?

    UPDATE:
    I just found the solution - it turns out that the Internal Archetype Catalog lists the wrong Artifact-Id for appfuse.

    Appfuse appended "-archetype" to all its archetype-id whilst the internal STS Catalog still lists them in the old way - hence the problem.

    On this site you can generate the correct archtype command line script:
    http://static.appfuse.org/archetypes.html

    It ends up looking like this:

    mvn archetype:generate -B -DarchetypeGroupId=org.appfuse.archetypes -DarchetypeArtifactId=appfuse-basic-spring-archetype -DarchetypeVersion=2.1.0 -DgroupId=com.mycompany -DartifactId=myproject -DarchetypeRepository=http://oss.sonatype.org/content/repositories/appfuse

    Hope that some one will fix the internal archetype catalog soon, the issue has been around for a while.
    Last edited by dngfng; Jun 20th, 2011, 03:58 PM. Reason: Found solution

    Comment

    Working...
    X